- Qt 5.15
- Qt WebEngine
- QML Types
- WebEngineNewViewRequest QML Type
- Qt 5.15.19 Reference Documentation

# WebEngineNewViewRequest QML Type

A utility type for the WebEngineView::newViewRequested signal. More...

Import Statement: | import QtWebEngine 1.10
Since: | QtWebEngine 1.1

- List of all members, including inherited members

## Properties

- destination : WebEngineView::NewViewDestination
- requestedUrl : QUrl
- userInitiated : bool

## Methods

- openIn(WebEngineView view)

## Detailed Description

Contains information about a request to load a page in a separate web engine view.

See also WebEngineView::newViewRequested.

## Property Documentation

destination : WebEngineView::NewViewDestination

The type of the view that is requested by the page.

requestedUrl : QUrl

The URL that is requested by the page.

This property was introduced in QtWebEngine 1.5.

userInitiated : bool

Whether this window request was directly triggered as the result of a keyboard or mouse event.

Use this property to block possibly unwanted popups.

## Method Documentation

openIn(WebEngineView view)

Opens the requested page in the new web engine view view. State and history of the view and the page possibly loaded in it will be lost.

See also WebEngineView::newViewRequested.